Bug 102967 - Right clicking print jobs to cancel them brings up dialog for wrong printer
Right clicking print jobs to cancel them brings up dialog for wrong printer
Product: Red Hat Linux
Classification: Retired
Component: printman (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2003-08-23 15:11 EDT by Don Himelrick
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 09:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Himelrick 2003-08-23 15:11:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Right clicking on printjobs and canceling them only works for the first printer
you try.  After this, it always brings up a dialog to cancel print jobs from the
first printer you deleted a job from by right clicking. The corresponding entry
in the edit menu works fine, just right clicking always canels jobs from the
same printer.  This happens with printman-0.0.1-0.20021202.12.1 and
printman-0.0.1-1.20021202.14 from rawhide.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create more than one printer and put print jobs in each printer.

2. Open gnome-print-manager and open printer 1 and right click a print job and
cancel it.  This works.

3. Without closing gnome-print-manager, open printer 2 and right click a print
job and cancel it.

Actual Results:  It brings up a dialog to cancel the print jobs in printer 1,
not printer 2, which is the printer window you right clicked in.  If there are
no jobs in printer 1, it asks if you want to cancel 0 jobs for printer 1.

Expected Results:  It should bring up a dialog to cancel print jobs for the
printer that you selected the jobs from.  In other words, it should act just
like the Edit/Cancel Documents menu entry.

Additional info:
Comment 1 Don Himelrick 2004-03-02 15:42:31 EST
This is still happening in FC1 with printman-0.0.1-1.20021202.15
Should I revise the product and version to FC1?

Any news on when this will get fixed?
Comment 2 Tim Waugh 2004-12-08 09:52:14 EST
printman is no longer shipped.

Note You need to log in before you can comment on or make changes to this bug.